For the complete documentation index, see llms.txt.
Order Documents
POST
/api/orders/{orderId}/documentsUpload Order Document
Upload a document or image to an order. Send multipart/form-data with one file field and, optionally, a document_type field.
Order Documents
Create and retrieve packing slips, commercial invoices, and uploaded order documents for orders that need paperwork.
6 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/orders/{orderId}/documents
Request body
Multipart form data: file=<binary file>; document_type=OrderDocumentRelated endpoints
List Order DocumentsGET /api/orders/{orderId}/documentsPreview Order DocumentGET /api/orders/{orderId}/documents/{documentId}/previewDownload Order DocumentGET /api/orders/{orderId}/documents/{documentId}/downloadUpdate Order DocumentPUT /api/orders/{orderId}/documents/{documentId}Delete Order DocumentDELETE /api/orders/{orderId}/documents/{documentId}